(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@ngx-loading-bar/core'), require('@angular/core'), require('@angular/common/http'), require('rxjs/add/operator/do')) :
	typeof define === 'function' && define.amd ? define(['exports', '@ngx-loading-bar/core', '@angular/core', '@angular/common/http', 'rxjs/add/operator/do'], factory) :
	(factory((global['http-client'] = {}),global['@ngx-loading-bar/core'],global.ng.core,global['@angular/common/http']));
}(this, (function (exports,core,core$1,http) { 'use strict';

var LoadingBarInterceptor = /** @class */ (function () {
    /**
     * @param {?} _loadingBarService
     */
    function LoadingBarInterceptor(_loadingBarService) {
        this._loadingBarService = _loadingBarService;
    }
    /**
     * @param {?} req
     * @param {?} next
     * @return {?}
     */
    LoadingBarInterceptor.prototype.intercept = function (req, next) {
        var _this = this;
        return next.handle(req).do(function (event) {
            if (event.type === http.HttpEventType.Sent) {
                _this._loadingBarService.startLoading();
            }
        }, function () { return _this._loadingBarService.endLoading(); }, function () { return _this._loadingBarService.endLoading(); });
    };
    return LoadingBarInterceptor;
}());
LoadingBarInterceptor.decorators = [
    { type: core$1.Injectable },
];
/**
 * @nocollapse
 */
LoadingBarInterceptor.ctorParameters = function () { return [
    { type: core.LoadingBarService, },
]; };
var LoadingBarHttpClientModule = /** @class */ (function () {
    function LoadingBarHttpClientModule() {
    }
    return LoadingBarHttpClientModule;
}());
LoadingBarHttpClientModule.decorators = [
    { type: core$1.NgModule, args: [{
                imports: [
                    http.HttpClientModule,
                    core.LoadingBarModule,
                ],
                exports: [
                    http.HttpClientModule,
                    core.LoadingBarModule,
                ],
                providers: [
                    { provide: http.HTTP_INTERCEPTORS, useClass: LoadingBarInterceptor, multi: true },
                ],
            },] },
];
/**
 * @nocollapse
 */
LoadingBarHttpClientModule.ctorParameters = function () { return []; };

exports.LoadingBarHttpClientModule = LoadingBarHttpClientModule;
exports.ɵa = LoadingBarInterceptor;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=http-client.umd.js.map
